import request from '@/utils/request'

// 查询参数配置列表
export function listConfig(query) {
  return request({
    url: '/system/workConfig/list',
    method: 'get',
    params: query
  })
}

// 查询参数配置详细
export function getConfig(id) {
  return request({
    url: '/system/workConfig/' + id,
    method: 'get'
  })
}

// 新增参数配置
export function addConfig(data) {
  return request({
    url: '/system/workConfig',
    method: 'post',
    data: data
  })
}

// 修改参数配置
export function updateConfig(data) {
  return request({
    url: '/system/workConfig',
    method: 'put',
    data: data
  })
}

// 删除参数配置
export function delConfig(id) {
  return request({
    url: '/system/workConfig/' + id,
    method: 'delete'
  })
}
